<app-loading *ngIf="isLoading"></app-loading>

<nz-card class="header-form m-0">
  <div nz-row [nzGutter]="[32, 32]" [formGroup]="proposeUnitForm">
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        formControlName="formGroup"
        [mbDataSelects]="dataCommon.formGroupList"
        mbKeyLabel="name"
        mbKeyValue="id"
        mbLabelText="{{
          'development.proposed-unit.table.groupForm' | translate
        }}"
        mbPlaceholder="{{
          'development.proposed-unit.table.groupForm' | translate
        }}"
        (ngModelChange)="onChangeProposeType($event)"
        [ngModelOptions]="{ standalone: true }"
      >
      </mb-select>
    </div>
  </div>
</nz-card>

<app-proposed-appointment-renewal-create
  *ngIf="
    proposeUnitForm.get('formGroup')?.value === formGroupConstants.BO_NHIEM
  "
  #proposedAppointmentRenewal
  [dataCommon]="dataCommon"
  [typeAction]="typeAction"
  [screenCode]="screenCode"
  [proposeId]="proposeId"
  [formGroupCreate]="proposeUnitForm.get('formGroup')?.value"
  [proposeUnit]="proposeUnitForm.getRawValue()"
></app-proposed-appointment-renewal-create>

<!-- Thêm mới nhiều cá nhân -->
<app-propose-multiple
  *ngIf="viewScreenCreate"
  #proposeMultiple
  [dataCommon]="dataCommon"
  [typeAction]="typeAction"
  [screenCode]="screenCode"
  [proposeId]="proposeId"
  [proposeUnit]="proposeUnitForm.getRawValue()"
></app-propose-multiple>

<app-propose-tgcv
  *ngIf="proposeUnitForm.get('formGroup')?.value === formGroupConstants.TGCV"
  #proposeTGCV
  [dataCommon]="dataCommon"
  [typeAction]="typeAction"
  [screenCode]="screenCode"
  [proposeId]="proposeId"
  [proposeUnit]="proposeUnitForm.getRawValue()"
  [formGroupCreate]="proposeUnitForm.get('formGroup')?.value"
>
</app-propose-tgcv>

<!-- Thếm mới nhiều cá nhân phỏng vấn -->
